## gate.jape
Class TestJape

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.jape.TestJape

All Implemented Interfaces:
  junit.framework.Test

public class TestJape
extends junit.framework.TestCase

Tests for the Corpus classes

Constructor Summary
`TestJape(String name)` Construction

Method Summary
`void` `_testCombined()` Test using the large "combined" grammar from the gate/resources tree.
`void` `DoTestBigGrammar(String textName)`
`static void` `main(String[] args)`
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `testBatch()` Batch run
`void` `testRhsErrorMessages()` This test sets up a JAPE transducer based on a grammar (RhsError.jape) that will throw a null pointer exception.
`void` `testRhsErrorMessages2()` This test sets up a JAPE transducer based on a grammar (RhsError2.jape) that will throw a compiler error.

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestJape

    public TestJape(String name)

  Construction

Method Detail

### setUp

    public void setUp()

  Fixture set up

### _testCombined

    public void _testCombined()
                       throws IOException,
                              GateException,
                              Exception

  Test using the large "combined" grammar from the gate/resources tree.

### testBatch

    public void testBatch()
                   throws Exception

  Batch run

### DoTestBigGrammar

    public void DoTestBigGrammar(String textName)
                          throws GateException,
                                 Exception

### testRhsErrorMessages

    public void testRhsErrorMessages()

  This test sets up a JAPE transducer based on a grammar (RhsError.jape) that will throw a null pointer exception. The test succeeds so long as we get that exception.

### testRhsErrorMessages2

    public void testRhsErrorMessages2()

  This test sets up a JAPE transducer based on a grammar (RhsError2.jape) that will throw a compiler error. The test succeeds so long as we get that exception.

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner

### main

    public static void main(String[] args)